Subject: RE: [manet] Comment on draft-spagnolo-manet-ospf-wireless-interface-00

From: "Vishwas Manral" <[email-masked]>
Date: Wed, 17 Dec 2003 22:24:13 +0200

Besides I agree a similar thing can be done if all wireless interfaces are
kept in one Stub area too, however what I meant to say was that plain Stub
Area's would not help, we would have to prevent Summary LSA's too.

Besides even without configuring an area as stub we could prevent summary
LSA's, by using the range I talked about earlier(as long as no AS Scope
LSA's are around).

-Vishwas

-----Original Message-----
From: Vishwas Manral [mailto:[email-masked]]
Sent: Wednesday, December 17, 2003 10:20 PM
To: 'Richard Ogier'
Cc: 'Tao Lin'; [email-masked]'
Subject: RE: [manet] Comment on
draft-spagnolo-manet-ospf-wireless-interface-00

Richard,

I guess the MIB has the option of totally disabling the summary LSA
injection, which came from the NSSA RFC. However as you pointed out, we
could achieve the same by using the range 0.0.0.0/0 and make it
donotAdvertize.

Ok. Router LSA metric is only 16 bits, so the MaxMetric is 0xFFFF not
0xFFFFFF. If you check RFC3137, the states that the RFC allows

      1) Making other routers prefer routes around router X while
         performing the Dijkstra calculation.

      2) Allowing other routers to reach IP prefixes directly connected
         to router X.

So instead of putting a MaxMetric in the Router LSA for a particular
link(wireless interface) instead of all the links of the router the same can
be achieved.

I guess this method should solve the purpose.

Cheers,
Vishwas

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Richard Ogier
Sent: Wednesday, December 17, 2003 6:22 PM
To: [email-masked]
Cc: 'Tao Lin'; [email-masked]
Subject: Re: [manet] Comment on
draft-spagnolo-manet-ospf-wireless-interface-00

Vishwas,

Vishwas Manral wrote:

>Richard/Tao,
>
>I haven't read the draft-spagnolo completely yet. However there are various
>ways the things can be done here, stub area I am not sure is a possible
>method.
>
>Stub Area prevents AS Scope LSA's to be flooded into an area, however no
new
>LSA types have been defined in spagnolo. You probably are talking about
>
I referred to Section 12.4.3.1 of RFC 2328, which states:

"Area border routers connecting to a stub area can originate
summary-LSAs into the area according
to the Section 12.4.3's algorithm, or can choose to originate only a
subset of the summary-LSAs,
possibly under configuration control.  The fewer LSAs originated, the
smaller the stub area's link state
database, further reducing the demands on its routers' resources."

So a "totally stubby area" is indeed allowed by the standard.  Maybe I
should have made this more clear.

>
>totally stubby area(which is not a OSPF standard thing - though the new
NSSA
>RFC/MIB's defines a configureable flag to allow summary LSA's into stub and
>NSSA areas or not).
>
>Don't see how stub area helps at all.
>
I don't know why you say this, but it works (i.e., no routing loops),
and it reduces LSA traffic in the area.

>However the way to do it could be to
>configure the cost from A to B to be 0xFFFFF(like in stub router). That way
>all traffic from B goes out via A, and no transit traffic goes out from A
to
>B, but those destined to those networks themselves. No change s needed in
>the routing table calculations at all.
>
If you change the cost from A to B to be 0xFFFFFF (LSinfinity), then how
can even intra-area traffic
use this link?

Richard

>
>
>Let me know if I am clear and you agree.
>
>Thanks,
>Vishwas
>
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On Behalf Of Tao
>Lin
>Sent: Wednesday, December 17, 2003 8:46 AM
>To: Richard Ogier; [email-masked]
>Subject: Re: [manet] Comment on
>draft-spagnolo-manet-ospf-wireless-interface-00
>
>
>A quick comment on the stub area in OSPF.
>
>Can we define that an OSPF stub area includes only interfaces in the same
>physical medium?  For example, wireless 802.11b interfaces can belong to
one
>OSPF area (or multiple areas if there are too many 802.11b wireless cards)
>and wired network cards using IEEE 802.3 can form their own OSPF areas.  In
>other words, it will be better if an OSPF stub area does not cross
different
>physical mediums.
>
>Just my 2 cents.  Welcome discussions.
>
>Thanks.
>
> Tao Lin
> Ph.D. Candidate
> Laboratory for Advanced Networking (VT-LAN)
> ECE Department
> Virginia Tech
>
>----- Original Message -----
>From: "Richard Ogier" <[email-masked]>
>To: <[email-masked]>
>Sent: Wednesday, December 17, 2003 1:31 AM
>Subject: [manet] Comment on draft-spagnolo-manet-ospf-wireless-interface-00
>
>
>>I have a comment regarding
>>draft-spagnolo-manet-ospf-wireless-interface-00
>>
>>Suppose router A is an edge router (with both a wireless interface
>>and a wired interface) that is configured as a stub, and router B
>>is a neighbor of A with only a wireless interface.
>>Also suppose that router A has received "outside" LSAs originated
>>from outside the wireless subnet, which it does not forward to
>>router B (since it is a stub).  Further suppose that *all* routers in
>>the network (including non-wireless routers) are in the same area.
>>
>>There appears to be a problem, because OSPF assumes that all routers
>>in the same area have the same link-state information for the area,
>>but routers A and B have different information.
>>To reach a destination outside the wireless subnet, router B will
>>use the default route and thus forward the packet to router A.
>>Since router A has more information than router B, router A will
>>compute the shortest path to the destination, which might happen
>>to go through router B, thus forming a routing loop.
>>(The draft states that the routing table is calculated as in OSPF.)
>>
>>If instead, an OSPF stub area is configured which includes only the
>>wireless routers, with router A as an area border router, this problem
>>is avoided, because in OSPF, router A would use only backbone summary
>>LSAs to compute routes to destinations outside the area, and thus
>>would not send the packet back into the wireless area.
>>
>>Am I missing something?  Why don't you simply use an OSPF stub area
>>to avoid flooding outside LSAs within the wireless subnet
>>(as per Section 12.4.3.1 of RFC 2328)?
>>
>>Also, I should point out that there has been some discussion on
>>the OSPF list regarding how to approach the problem of extending
>>OSPF to support MANETs.
>>
>>http://peach.ease.lsoft.com/scripts/wa.exe?A1=ind0312&L=ospf
>>
>>Regards,
>>Richard
>>
>
>---
>Outgoing mail is certified Virus Free.
>Checked by AVG anti-virus system (http://www.grisoft.com).
>Version: 6.0.551 / Virus Database: 343 - Release Date: 12/11/2003
>
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---
Incoming mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.551 / Virus Database: 343 - Release Date: 12/11/2003

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.551 / Virus Database: 343 - Release Date: 12/11/2003

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.551 / Virus Database: 343 - Release Date: 12/11/2003

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Spagnolo, Phillip A" <[email-masked]>
Date: Wed, 17 Dec 2003 11:45:14 -0800

Richard,

> From: Richard Ogier [mailto:[email-masked]]
> Sent: Wednesday, December 17, 2003 10:51 AM
> To: Spagnolo, Phillip A
> Cc: [email-masked]
> Subject: Re: FW: [manet] Comment on
> Phillip,
> Spagnolo, Phillip A wrote:
> 
> >Comments included.
> >
> >>From: Richard Ogier [mailto:[email-masked]]
> >>Sent: Tuesday, December 16, 2003 10:32 PM
> >>To: [email-masked]
> >>Subject: [manet] Comment on
> >I don't seem to see the problem here. 
> > 
> >If router B sends a packet outside the wireless stub through 
> router A, how will A ever think to send back to router B?  
> The shortest path cannot be through the wireless network 
> because the only way out of the wireless network is through 
> A.  Any path back into the network would add the additional 
> cost of the loop.  
> >
> You are assuming that there is only one edge router.  But your draft 
> defines an edge router as
> "A router that has more than one interface and at least one of these 
> interfaces is a wireless interface."
> So the draft does not preclude multiple edge routers.   I 
> wouldn't want 
> to preclude this anyway.
> 
> >
> >
> >Router A has a full view of the network, but router B only 
> has a view of the wireless stub and a default to A.  
> >
> >Maybe the problem is textual in that we are assuming there 
> is only one edge router in a wireless stub.  Otherwise, the 
> network would not be a stub but a transit wireless network.
> >
> A stub network can have multiple edge routers.   In OSPF 
> terms, a stub 
> area can have multiple
> area border routers.
> 
> >
> >
> >We do agree the mechanism is functionally equivalent to a 
> totally stubby area, but this is not specified in 2328.
> >
> Indeed it is provided in Section 12.4.3.1 of RFC 2328, as I discussed 
> with Vishwas.
> A stub area is not *required* to be "totally stubby", but the 
> RFC allows 
> suppressing all summary LSAs,
> for exactly the reason we have in mind.
> 
> In general, as I discussed on the OSPF list, my view is that it is 
> possible to extend OSPF to support
> MANET interfaces using something that is much closer to OSPF 
> than what 
> your draft proposes.
> I think the OSPF WG would like to minimize the 
> changes/additions to OSPF.
> 
> Richard
> 

Agreed.  The totally stubby area is implied in 2328 and functionally equivalent to a stub wireless network.  Thanks for the comments.
   
We too desire to have a MANET interface using something close to legacy OSPF.  This is one of our initial design goal, but there will be a performance spectrum based on the changes made to 2328.  We desire to find a good balance.

Sincerely,
Phil

---

From: "Henderson, Thomas R" <[email-masked]>
Date: Thu, 18 Dec 2003 15:56:45 -0800

> From: Yasuhiro Ohara [mailto:[email-masked]]
> Sent: Thursday, December 18, 2003 6:53 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Let's expand Richard's example:
> 
>                          N1
>    ---- A .... B .... C ----
> 
> where A, B, C are routers, wired link is illustrated as ----,
> and wireless link is illustrated as .... . N1 indicates
> the address prefix of the right side link of C.
> 
> B may not have C's LSA or N1's network-LSA (Intra-Prefix LSA
> in case of OSPFv3) because the draft specifies the way that
> the database synchronization is not done on wireless link
> (i.e. both side link of B). So B will either forwards traffic
> destined to N1 to A or simply drops, according to whether B have
> default route (assume it is destined to A's direction if exists).
> 
> So, only having alternative link(s) does not mean that the router
> will have all LSA in the case of the draft.
> 

In the draft, we defined something called a "stub wireless" network
to avoid propagating any LSAs except a default route into the wireless
subnet.  As Phil said yesterday, we were trying to accomplish what
is functionally equivalent to "Totally Stubby" area, which is not
explicitly described in RFC 2328 but which is implied by a sentence
in Section 12.4.3.1 of RFC 2328.  We didn't realize that Totally
Stubby was a specified piece of OSPF, rather than a vendor extension,
so given that it is part of the RFC, I would say that I agree with 
Richard that we should reuse what is already there.

If we are not in this special case, then there is no issue because 
all routers receive all LSAs in the area.  Database synchronization 
is not done but periodic unreliable flooding, like in OLSR, is performed.

> But then how do you support the case below ?
>
>  Internet ---- A .... B .... C ---- D

This is not a stub case in the implementation described in our draft--
the network (A-B-C) will distribute LSAs from Internet to D and vice
versa.  From outside of the wireless subnet, (A-B-C) will look like
they are a point-to-multipoint subnet.

Tom